/* ==========================================================================
   WooCommerce Dropdown Cart styles - begin
   ========================================================================== */

.mkdf-shopping-cart-holder {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    height: 100%;
    padding: 0 18px;

    .touch & {
        cursor: pointer;
    }

    &.mkdf-cart-info-is-disabled {

        .mkdf-header-cart {

            .mkdf-cart-info {
                display: none;
            }
        }
    }

    .mkdf-shopping-cart-inner {
        position: relative;
        display: table;
        height: 100%;
    }

    .mkdf-header-cart {
        position: relative;
        display: table-cell;
        vertical-align: middle;
        color: $default-text-color;

        .mkdf-cart-icon {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            font-size: 20px;
            line-height: 1em;
            color: #606264;
            bottom: 2px;

            &:before {
                display: block;
                line-height: inherit;
            }
        }

        .mkdf-cart-count {
            position: absolute;
            top: 50%;
            margin-top: -14px;
            right: -7px;
            width: 15px;
            height: 15px;
            line-height: 15px;
            font-size: 10px;
            border-radius: 50%;
            text-align: center;
            color: #fff;
            background-color: $first-main-color;
        }

        .mkdf-cart-info {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            padding: 0 0 0 5px;
            font-size: 14px;
            line-height: 1;
            clear: both;

            .mkdf-cart-info-number {
                position: relative;
                display: inline-block;
                vertical-align: top;
                float: left;
                padding: 0 8px 0 0;
                margin: 0 5px 0 0;

                &:after {
                    position: absolute;
                    right: -1px;
                    content: '-';
                }
            }

            .mkdf-cart-info-total {
                position: relative;
                display: inline-block;
                vertical-align: top;
                float: left;
            }
        }

        &:hover {
            color: $default-heading-color;
        }
    }

    &:hover {

        .mkdf-shopping-cart-dropdown {
            opacity: 1;
            visibility: visible;
        }
    }
}

.mkdf-dark-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-shopping-cart-holder .mkdf-cart-icon {
    color: $header-dark-color;

    &:hover {
        color: $header-dark-hover-color;
    }
}

.mkdf-light-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-shopping-cart-holder .mkdf-cart-icon {
    color: $header-light-color;

    &:hover {
        color: $header-light-hover-color;
    }
}

.mkdf-shopping-cart-dropdown {
    position: absolute;
    top: 100%;
    left: auto;
    right: -8px;
    width: 278px;
    background-color: #fff;
    border-top: 4px solid $first-main-color;
    box-shadow: 0 5px 15px -5px rgba(0,0,0,.05);
    text-align: left;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    box-sizing: border-box;
    @include mkdfTransition(all 0.35s cubic-bezier(.53,.01,.18,1));

    ul {
        margin: 25px;
        padding: 0;

        li {
            @include mkdfTableLayout;
            padding: 6px 0;
            box-sizing: border-box;

            &.mkdf-empty-cart {
                color: #606264;
                border: 0;
            }

            &:first-child {
                padding-top: 0;
            }

            &:last-child {
                padding-bottom: 0;
            }
        }
    }

    .mkdf-item-image-holder {
        position: relative;
        display: table-cell;
        height: 100%;
        width: 67px;
        vertical-align: top;

        img {
            display: block;
            border: 1px solid $default-border-color;
        }
    }

    .mkdf-item-info-holder {
        @include mkdfTableCellLayout();
        vertical-align: top;
        padding-left: 18px;

        .mkdf-product-title {
            display: block;
            margin: 0;
            padding: 0 20px 0 0;
            font-size: 13px;
            box-sizing: border-box;
            color: #545454;
        }

        .remove {
            position: absolute;
            top: -4px;
            right: -2px;
            width: 18px;
            height: 18px;
            color: #606264;
	        font-size: 16px;
	        line-height: 24px;
            text-align: center;

            span {
                display: block;
                line-height: inherit;

                &:before {
                    display: block;
                    line-height: inherit;
                }
            }

            &:hover {
                color: $first-main-color;
            }
        }

        .mkdf-quantity,
        .amount {
            display: inline-block;
            color: $first-main-color;
            font-size: 12px;
            font-weight: 700;
        }
    }

    .mkdf-cart-bottom {
        padding: 11px 0 0;
        margin: 13px 0 0;
        border-top: 1px solid #ebebeb;

        .mkdf-subtotal-holder {
            position: relative;
            display: table;
            width: 100%;
            margin: 0 0 13px;

            > * {
                display: table-cell;
                vertical-align: middle;
                color: #838587;
                line-height: 20px;
                font-size: 12px;
                letter-spacing: .05em;
                font-weight: 600;
                text-transform: uppercase;
            }

            .mkdf-total-amount {
                text-align: right;
	            font-size: 16px;
                color: #404447;
                font-weight: 700;
            }
        }

        .mkdf-btns-holder {
            .view-cart,
            .checkout {
                font-size: 11px;
                padding: 9px 22px;
            }
        }
    }
}

.mkdf-vertical-menu-area {

    .mkdf-shopping-cart-dropdown {
        display: none !important;
    }
}
/* ==========================================================================
   WooCommerce Dropdown Cart styles - end
   ========================================================================== */